<?php
namespace Shop\Repositories;

use Core\Repository\CrudInterface;
use Core\Repository\PropelQueryAbstract;
use Shop\Models\Basket\Basket as BasketEntity;
use Shop\Models\Basket\BasketQuery;

/**
 * Description of Bonus
 *
 * @author Dmitriy
 */
class Basket extends PropelQueryAbstract implements CrudInterface{

    public function buildQuery(){
	return BasketQuery::create();
    }

    public function buildEntity(){
	return new BasketEntity;
    }
    
 
}
